package cn.superdesk.uniorder.service.sys.impl;

import cn.superdesk.uniorder.dao.entity.sys.SysInv;
import cn.superdesk.uniorder.dao.mapper.sys.SysInvMapper;
import cn.superdesk.uniorder.service.sys.SysInvService;
import com.github.pagehelper.PageInfo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;


/**
 * @Description: Java类作用描述
 * @Author: linjinyu
 * @CreateDate: 8/26/20 3:21 PM
 * @UpdateUser: linjinyu
 * @UpdateDate: 8/26/20 3:21 PM
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
@Service
public class SysInvServiceImpl implements SysInvService {

    @Autowired
    private SysInvMapper sysInvMapper;


    @Override
    public int insertSelective(SysInv t) {

        return sysInvMapper.insertSelective(t);
    }

    @Override
    public int updateByPrimaryKeySelective(SysInv t) {

        return sysInvMapper.updateByPrimaryKeySelective(t);
    }

    @Override
    public void deleteObj(Long id) {


    }

    @Override
    public SysInv findById(Long id) {

        return sysInvMapper.selectByPrimaryKey(id);
    }


    @Override
    public List<SysInv> findAll(Map<String, Object> queryMap) {

        return null;
    }

    @Override
    public PageInfo<SysInv> findByPaging(Map<String, Object> params, Integer pageNo, Integer pageSize) {

        return null;
    }

}
